# Uses of Enum
org.mariadb.jdbc.TransactionIsolation

Packages that use TransactionIsolation
Package
Description
org.mariadb.jdbc

## Uses of TransactionIsolation in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return TransactionIsolation
Modifier and Type
Method
Description
`static TransactionIsolation`
TransactionIsolation.`from(String value)`
Get TransactionIsolation from value
`TransactionIsolation`
Configuration.`transactionIsolation()`
Default transaction isolation
`static TransactionIsolation`
TransactionIsolation.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TransactionIsolation[]`
TransactionIsolation.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.